com.amazonaws.services.lambda.model

## Class UpdateEventSourceMappingResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.UpdateEventSourceMappingResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class UpdateEventSourceMappingResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Describes mapping between an Amazon Kinesis stream and a Lambda function.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UpdateEventSourceMappingResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateEventSourceMappingResult` `clone()`
`boolean` `equals(Object obj)`
`Integer` `getBatchSize()` The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function.
`String` `getEventSourceArn()` The Amazon Resource Name (ARN) of the Amazon Kinesis stream that is the source of events.
`String` `getFunctionArn()` The Lambda function to invoke when AWS Lambda detects an event on the stream.
`Date` `getLastModified()` The UTC time string indicating the last time the event mapping was updated.
`String` `getLastProcessingResult()` The result of the last AWS Lambda invocation of your Lambda function.
`String` `getState()` The state of the event source mapping.
`String` `getStateTransitionReason()` The reason the event source mapping is in its current state.
`String` `getUUID()` The AWS Lambda assigned opaque identifier for the mapping.
`int` `hashCode()`
`void` `setBatchSize(Integer batchSize)` The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function.
`void` `setEventSourceArn(String eventSourceArn)` The Amazon Resource Name (ARN) of the Amazon Kinesis stream that is the source of events.
`void` `setFunctionArn(String functionArn)` The Lambda function to invoke when AWS Lambda detects an event on the stream.
`void` `setLastModified(Date lastModified)` The UTC time string indicating the last time the event mapping was updated.
`void` `setLastProcessingResult(String lastProcessingResult)` The result of the last AWS Lambda invocation of your Lambda function.
`void` `setState(String state)` The state of the event source mapping.
`void` `setStateTransitionReason(String stateTransitionReason)` The reason the event source mapping is in its current state.
`void` `setUUID(String uUID)` The AWS Lambda assigned opaque identifier for the mapping.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateEventSourceMappingResult` `withBatchSize(Integer batchSize)` The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function.
`UpdateEventSourceMappingResult` `withEventSourceArn(String eventSourceArn)` The Amazon Resource Name (ARN) of the Amazon Kinesis stream that is the source of events.
`UpdateEventSourceMappingResult` `withFunctionArn(String functionArn)` The Lambda function to invoke when AWS Lambda detects an event on the stream.
`UpdateEventSourceMappingResult` `withLastModified(Date lastModified)` The UTC time string indicating the last time the event mapping was updated.
`UpdateEventSourceMappingResult` `withLastProcessingResult(String lastProcessingResult)` The result of the last AWS Lambda invocation of your Lambda function.
`UpdateEventSourceMappingResult` `withState(String state)` The state of the event source mapping.
`UpdateEventSourceMappingResult` `withStateTransitionReason(String stateTransitionReason)` The reason the event source mapping is in its current state.
`UpdateEventSourceMappingResult` `withUUID(String uUID)` The AWS Lambda assigned opaque identifier for the mapping.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateEventSourceMappingResult

    public UpdateEventSourceMappingResult()

### Method Detail

#### setUUID

    public void setUUID(String uUID)

The AWS Lambda assigned opaque identifier for the mapping.

Parameters:
  `uUID` - The AWS Lambda assigned opaque identifier for the mapping.

#### getUUID

    public String getUUID()

The AWS Lambda assigned opaque identifier for the mapping.

Returns:
  The AWS Lambda assigned opaque identifier for the mapping.

#### withUUID

    public UpdateEventSourceMappingResult withUUID(String uUID)

The AWS Lambda assigned opaque identifier for the mapping.

Parameters:
  `uUID` - The AWS Lambda assigned opaque identifier for the mapping.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBatchSize

    public void setBatchSize(Integer batchSize)

The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records.

Parameters:
  `batchSize` - The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records.

#### getBatchSize

    public Integer getBatchSize()

The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records.

Returns:
  The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records.

#### withBatchSize

    public UpdateEventSourceMappingResult withBatchSize(Integer batchSize)

The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records.

Parameters:
  `batchSize` - The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEventSourceArn

    public void setEventSourceArn(String eventSourceArn)

The Amazon Resource Name (ARN) of the Amazon Kinesis stream that is the source of events.

Parameters:
  `eventSourceArn` - The Amazon Resource Name (ARN) of the Amazon Kinesis stream that is the source of events.

#### getEventSourceArn

    public String getEventSourceArn()

The Amazon Resource Name (ARN) of the Amazon Kinesis stream that is the source of events.

Returns:
  The Amazon Resource Name (ARN) of the Amazon Kinesis stream that is the source of events.

#### withEventSourceArn

    public UpdateEventSourceMappingResult withEventSourceArn(String eventSourceArn)

The Amazon Resource Name (ARN) of the Amazon Kinesis stream that is the source of events.

Parameters:
  `eventSourceArn` - The Amazon Resource Name (ARN) of the Amazon Kinesis stream that is the source of events.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionArn

    public void setFunctionArn(String functionArn)

The Lambda function to invoke when AWS Lambda detects an event on the stream.

Parameters:
  `functionArn` - The Lambda function to invoke when AWS Lambda detects an event on the stream.

#### getFunctionArn

    public String getFunctionArn()

The Lambda function to invoke when AWS Lambda detects an event on the stream.

Returns:
  The Lambda function to invoke when AWS Lambda detects an event on the stream.

#### withFunctionArn

    public UpdateEventSourceMappingResult withFunctionArn(String functionArn)

The Lambda function to invoke when AWS Lambda detects an event on the stream.

Parameters:
  `functionArn` - The Lambda function to invoke when AWS Lambda detects an event on the stream.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastModified

    public void setLastModified(Date lastModified)

The UTC time string indicating the last time the event mapping was updated.

Parameters:
  `lastModified` - The UTC time string indicating the last time the event mapping was updated.

#### getLastModified

    public Date getLastModified()

The UTC time string indicating the last time the event mapping was updated.

Returns:
  The UTC time string indicating the last time the event mapping was updated.

#### withLastModified

    public UpdateEventSourceMappingResult withLastModified(Date lastModified)

The UTC time string indicating the last time the event mapping was updated.

Parameters:
  `lastModified` - The UTC time string indicating the last time the event mapping was updated.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastProcessingResult

    public void setLastProcessingResult(String lastProcessingResult)

The result of the last AWS Lambda invocation of your Lambda function.

Parameters:
  `lastProcessingResult` - The result of the last AWS Lambda invocation of your Lambda function.

#### getLastProcessingResult

    public String getLastProcessingResult()

The result of the last AWS Lambda invocation of your Lambda function.

Returns:
  The result of the last AWS Lambda invocation of your Lambda function.

#### withLastProcessingResult

    public UpdateEventSourceMappingResult withLastProcessingResult(String lastProcessingResult)

The result of the last AWS Lambda invocation of your Lambda function.

Parameters:
  `lastProcessingResult` - The result of the last AWS Lambda invocation of your Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setState

    public void setState(String state)

The state of the event source mapping. It can be `Creating`, `Enabled`, `Disabled`, `Enabling`, `Disabling`, `Updating`, or `Deleting`.

Parameters:
  `state` - The state of the event source mapping. It can be `Creating`, `Enabled`, `Disabled`, `Enabling`, `Disabling`, `Updating`, or `Deleting`.

#### getState

    public String getState()

The state of the event source mapping. It can be `Creating`, `Enabled`, `Disabled`, `Enabling`, `Disabling`, `Updating`, or `Deleting`.

Returns:
  The state of the event source mapping. It can be `Creating`, `Enabled`, `Disabled`, `Enabling`, `Disabling`, `Updating`, or `Deleting`.

#### withState

    public UpdateEventSourceMappingResult withState(String state)

The state of the event source mapping. It can be `Creating`, `Enabled`, `Disabled`, `Enabling`, `Disabling`, `Updating`, or `Deleting`.

Parameters:
  `state` - The state of the event source mapping. It can be `Creating`, `Enabled`, `Disabled`, `Enabling`, `Disabling`, `Updating`, or `Deleting`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStateTransitionReason

    public void setStateTransitionReason(String stateTransitionReason)

The reason the event source mapping is in its current state. It is either user-requested or an AWS Lambda-initiated state transition.

Parameters:
  `stateTransitionReason` - The reason the event source mapping is in its current state. It is either user-requested or an AWS Lambda-initiated state transition.

#### getStateTransitionReason

    public String getStateTransitionReason()

The reason the event source mapping is in its current state. It is either user-requested or an AWS Lambda-initiated state transition.

Returns:
  The reason the event source mapping is in its current state. It is either user-requested or an AWS Lambda-initiated state transition.

#### withStateTransitionReason

    public UpdateEventSourceMappingResult withStateTransitionReason(String stateTransitionReason)

The reason the event source mapping is in its current state. It is either user-requested or an AWS Lambda-initiated state transition.

Parameters:
  `stateTransitionReason` - The reason the event source mapping is in its current state. It is either user-requested or an AWS Lambda-initiated state transition.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateEventSourceMappingResult clone()

Overrides:
  `clone` in class `Object`